<template>
    <div class="statistics" :class="{ visible: visible }">
        <table>
            <template v-for="stream in statistics">
                <tr class="break"><td></td></tr>
                <tr v-if="typeof stream.name !== 'undefined'">
                    <td class="label">Stream:</td>
                    <td class="value">{{stream.name}}</td>
                </tr>
                <tr v-if="Number.isInteger(stream.width) && Number.isInteger(stream.height)">
                    <td class="label">Resolution:</td>
                    <td class="value">{{stream.width}}x{{stream.height}}</td>
                </tr>
                <tr v-if="Number.isInteger(stream.fps)">
                    <td class="label">FPS:</td>
                    <td class="value" :class="{ red: stream.fps < 1 }">{{stream.fps}}</td>
                </tr>
                <tr v-if="Number.isInteger(stream.volume)">
                    <td class="label">Volume:</td>
                    <td class="value">{{stream.volume}}%</td>
                </tr>
                <tr v-if="Number.isInteger(stream.sps)">
                    <td class="label">Sampling rate:</td>
                    <td class="value" :class="{ red: stream.sps < 40_000}">{{stream.sps}}</td>
                </tr>
            </template>
        </table>
    </div>
</template>

<script setup>

    defineProps({
        visible: Boolean,
        statistics: Object,
    });

</script>

<style scoped>

    .statistics {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        display: none;
        align-items: center;
        justify-content: center;
        background: #00000080;
    }

    .statistics.visible {
        display: flex;
    }

    .break:not(:first-child) > td {
        padding-top: 20px;
    }

    .label {
        text-align: right;
    }

    .value {
        color: white;
    }

    .red {
        background: red;
    }

</style>